import { prop } from '@typegoose/typegoose';

enum Severity {
  Low,
  Medium,
  High,
}

export default class Judgement {
  @prop({ required: true })
  public jID: string;

  @prop()
  public userID: string;

  @prop({ required: true })
  public enteredBy: string;
  
  @prop()
  public severity: Severity;

  @prop()
  public date: Date;

  @prop()
  public expires?: Date;

  @prop()
  public description?: string;
}
